diff --git a/changelog b/changelog
index f107c36..46e3498 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20100115 tpd src/axiom-website/patches.html 20100115.01.tpd.patch
+20100115 tpd src/input/dfloat.input rewrite using machineFraction
 20100114 tpd src/axiom-website/patches.html 20100114.03.tpd.patch
 20100114 tpd src/input/numericgamma.input rewrite using machineFraction
 20100114 tpd src/axiom-website/patches.html 20100114.02.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 13f4db7..d632b5c 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2368,5 +2368,7 @@ books/bookvol5 fix )display all output bug<br/>
 src/input/unittest2.input fix credits function output<br/>
 <a href="patches/20100114.03.tpd.patch">20100114.03.tpd.patch</a>
 src/input/numericgamma.input rewrite using machineFraction<br/>
+<a href="patches/20100115.01.tpd.patch">20100115.01.tpd.patch</a>
+src/input/dfloat.input rewrite using machineFraction<br/>
  </body>
 </html>
diff --git a/src/input/dfloat.input.pamphlet b/src/input/dfloat.input.pamphlet
index a7b0f14..ffab6d8 100644
--- a/src/input/dfloat.input.pamphlet
+++ b/src/input/dfloat.input.pamphlet
@@ -21,35 +21,43 @@
 )clear all
 
 --S 1 of 10
-2.71828
+machineFraction(2.71828)
 --R 
 --R
---R   (1)  2.71828
---R                                                                  Type: Float
+--R        6121022397544335
+--R   (1)  ----------------
+--R        2251799813685248
+--R                                                       Type: Fraction Integer
 --E 1
 
 --S 2 of 10
-2.71828@DoubleFloat
+machineFraction(2.71828@DoubleFloat)
 --R 
 --R
---R   (2)  2.71828
---R                                                            Type: DoubleFloat
+--R        382563899846521
+--R   (2)  ---------------
+--R        140737488355328
+--R                                                       Type: Fraction Integer
 --E 2
 
 --S 3 of 10
-2.71828 :: DoubleFloat
+machineFraction(2.71828 :: DoubleFloat)
 --R 
 --R
---R   (3)  2.71828
---R                                                            Type: DoubleFloat
+--R        6121022397544335
+--R   (3)  ----------------
+--R        2251799813685248
+--R                                                       Type: Fraction Integer
 --E 3
 
 --S 4 of 10
-eApprox : DoubleFloat := 2.71828
+machineFraction(eApprox : DoubleFloat := 2.71828)
 --R 
 --R
---R   (4)  2.71828
---R                                                            Type: DoubleFloat
+--R        6121022397544335
+--R   (4)  ----------------
+--R        2251799813685248
+--R                                                       Type: Fraction Integer
 --E 4
 
 --S 5 of 10
@@ -76,28 +84,35 @@ avg []
 --E 7
 
 --S 8 of 10
-avg [3.4,9.7,-6.8]
+machineFraction(avg [3.4,9.7,-6.8])
 --R 
 --R
---R   (8)  2.1000000000000001
---R                                                            Type: DoubleFloat
+--R        4728779608739021
+--R   (8)  ----------------
+--R        2251799813685248
+--R                                                       Type: Fraction Integer
 --E 8
 
 --S 9 of 10
-cos(3.1415926)$DoubleFloat
+machineFraction(cos(3.1415926)$DoubleFloat)
 --R 
 --R
---R   (9)  - 0.99999999999999856
---R                                                            Type: DoubleFloat
+--R          9007199254740979
+--R   (9)  - ----------------
+--R          9007199254740992
+--R                                                       Type: Fraction Integer
 --E 9
 
 --S 10 of 10
-cos(3.1415926 :: DoubleFloat)
+machineFraction(cos(3.1415926 :: DoubleFloat))
 --R 
 --R
---R   (10)  - 0.99999999999999856
---R                                                            Type: DoubleFloat
+--R           9007199254740979
+--R   (10)  - ----------------
+--R           9007199254740992
+--R                                                       Type: Fraction Integer
 --E 10
+
 )spool
 )lisp (bye)
  
